/*
 * Class WEL_HS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_184 [] = {0xFF01,1551,183,0xFFFF};
static const EIF_TYPE_INDEX egt_2_184 [] = {0xFF01,183,0xFFFF};
static const EIF_TYPE_INDEX egt_3_184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_184 [] = {0xFF01,183,0xFFFF};
static const EIF_TYPE_INDEX egt_6_184 [] = {0xFF01,183,0xFFFF};
static const EIF_TYPE_INDEX egt_7_184 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_184 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_184 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_184 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_184 [] = {0xFF01,183,0xFFFF};


static const struct desc_info desc_184[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_184), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_184), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_184), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_184), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_184), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_184), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_184), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_184), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_184), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_184), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_184), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_184), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016F /*183*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_184), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4535, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4536, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4537, 0xFFFFFFFF},
};
void Init184(void)
{
	IDSC(desc_184, 0, 183);
	IDSC(desc_184 + 1, 1, 183);
	IDSC(desc_184 + 32, 1457, 183);
}


#ifdef __cplusplus
}
#endif
